pcl::common::IntensityFieldAccessor< pcl::InterestPoint > Struct Template Reference

`#include <pcl/common/impl/intensity.hpp>`

## Public Member Functions

float | operator() (const pcl::InterestPoint &p) const
void | get (const pcl::InterestPoint &p, float &intensity) const
void | set (pcl::InterestPoint &p, float intensity) const
void | demean (pcl::InterestPoint &p, float value) const
void | add (pcl::InterestPoint &p, float value) const

## Detailed Description

### template<>
struct pcl::common::IntensityFieldAccessor< pcl::InterestPoint >

Definition at line 383 of file intensity.hpp.

## Member Function Documentation

## add()

void pcl::common::IntensityFieldAccessor< pcl::InterestPoint >::add | ( | pcl::InterestPoint & | p,
|  | float | value
| ) |  | const

inline

Definition at line 410 of file intensity.hpp.

References pcl::InterestPoint::strength.

## demean()

void pcl::common::IntensityFieldAccessor< pcl::InterestPoint >::demean | ( | pcl::InterestPoint & | p,
|  | float | value
| ) |  | const

inline

Definition at line 404 of file intensity.hpp.

References pcl::InterestPoint::strength.

## get()

void pcl::common::IntensityFieldAccessor< pcl::InterestPoint >::get | ( | const pcl::InterestPoint & | p,
|  | float & | intensity
| ) |  | const

inline

Definition at line 392 of file intensity.hpp.

References pcl::InterestPoint::strength.

## operator()()

float pcl::common::IntensityFieldAccessor< pcl::InterestPoint >::operator() | ( | const pcl::InterestPoint & | p | ) | const

inline

Definition at line 386 of file intensity.hpp.

References pcl::InterestPoint::strength.

## set()

void pcl::common::IntensityFieldAccessor< pcl::InterestPoint >::set | ( | pcl::InterestPoint & | p,
|  | float | intensity
| ) |  | const

inline

Definition at line 398 of file intensity.hpp.

References pcl::InterestPoint::strength.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/common/include/pcl/common/impl/intensity.hpp